=== debian/control ===
Source: ssmtp
Section: mail
Priority: optional
Maintainer: Hugo Haas <hugo@debian.org>
Standards-Version: 2.4.1.0

Package: ssmtp
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: mail-transport-agent
Provides: mail-transport-agent
Replaces: mail-transport-agent, exim, sendmail, smail, qmail, zmailer
Description: Extremely simple MTA to get mail off the system to a Mailhub
 A secure, effective and simple way of getting mail off a system to your
 mailhost. No suid-binaries or other dangerous things. No mail spool to poke
 around in. No daemons running in the background. Mail is simply forwarded to
 the configured mailhost. Extremely easy configuration.
 .
 WARNING: the above is all it does. It does not receive mail, expand
 aliases or manage a queue.  That belongs on a mailhub with a system
 administrator.
