## ssmtp 2.30

=== Makefile ===
--- 
+++ 
@@ -20,26 +20,37 @@
 #
 
 MAILHUB=mail
-LOGGING=-DSYSLOG # I recommend this strongly.
+LOGGING=-DSYSLOG# I recommend this strongly.
 
-LACKING= # For SunOS 4.1.1, SPARCs and 3/60s
+LACKING=# For SunOS 4.1.1, SPARCs and 3/60s
 
 #BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} \
 #	-DREWRITE_DOMAIN=\"${REWRITE_DOMAIN}\" 
 #	Do not define the above unless rewriting is necessary.
 #BASEFLAGS=-DMAILHUB=\"${MAILHUB}\" ${LOGGING} ${LACKING} -DREWRITE_DOMAIN
-BASEFLAGS=${LOGGING} ${LACKING} -DREWRITE_DOMAIN
+BASEFLAGS=${LACKING} ${LOGGING} -DREWRITE_DOMAIN
 
 # (End of tuning section).
 
 # Places to install things, used to relocate things for Ultrix kits.
 # 	ROOT normally is the empty string...
 #ROOT=
-DESTDIR=${ROOT}/usr/sbin
-MANDIR=${ROOT}/usr/man/man8
+LOCATION=/usr/local
+DESTDIR=${ROOT}${LOCATION}/sbin
+MANDIR=${ROOT}${LOCATION}/man/man8
 ETCDIR=${ROOT}/etc
 SSMTPCONFDIR=${ETCDIR}/ssmtp
 # (End of relocation section)
+
+# Configuration files
+CONFIGURATION_FILE=${SSMTPCONFDIR}/ssmtp.conf
+REVALIASES_FILE=${SSMTPCONFDIR}/revaliases
+
+INSTALLED_CONFIGURATION_FILE=${CONFIGURATION_FILE}
+INSTALLED_REVALIASES_FILE=${REVALIASES_FILE}
+
+# Programs
+GEN_CONFIG=./generate_config
 
 # Uncomment this if you have defined LACKING
 #SRCS= ssmtp.c string_ext.c
@@ -47,7 +58,8 @@
 
 OBJS=$(SRCS:.c=.o)
 
-FLAGS= -Wall -O6 ${BASEFLAGS}
+FLAGS= -Wall -O6
+#FLAGS= -Wall -O6 -DDEBUG ${BASEFLAGS}
 #FLAGS= -Wall -g ${BASEFLAGS}
 
 CFLAGS= ${FLAGS} ${BASEFLAGS}
@@ -61,24 +73,27 @@
 	install -d -m 755 ${MANDIR}
 	install -m 644 ssmtp.8 ${MANDIR}/ssmtp.8
 	install -d -m 755 ${SSMTPCONFDIR}
-	install -m 644 ssmtp.conf ${SSMTPCONFDIR}/ssmtp.conf
-	install -m 644 revaliases ${SSMTPCONFDIR}/revaliases
+	install -m 644 revaliases ${INSTALLED_REVALIASES_FILE}
+	$(GEN_CONFIG) ${INSTALLED_CONFIGURATION_FILE}
 
 
 install-sendmail: ssmtp install
+	rm -f ${DESTDIR}/sendmail
 	ln -s ssmtp ${DESTDIR}/sendmail
 	install -d -m 755 ${DESTDIR}/../lib
+	rm -f ${DESTDIR}/../lib/sendmail
 	ln -s ../sbin/sendmail ${DESTDIR}/../lib
+	rm -f ${MANDIR}/sendmail.8
 	ln -s ssmtp.8 ${MANDIR}/sendmail.8
 
-deinstall:
+uninstall:
 	test `whoami` = root
 	rm -f ${DESTDIR}/ssmtp
 	rm -f ${MANDIR}/ssmtp.8
-	rm -f ${SSMTPCONFDIR}/mail.conf ${SSMTPCONFDIR}/revaliases
+	rm -f ${CONFIGURATION_FILE} ${REVALIASES_FILE}
 	rmdir ${SSMTPCONFDIR}
 
-deinstall-sendmail: deinstall
+uninstall-sendmail: uninstall
 	rm -f ${DESTDIR}/sendmail ${DESTDIR}/../lib/sendmail
 	rm -f ${MANDIR}/sendmail.8
 
@@ -88,3 +103,6 @@
 # Binaries:
 ssmtp: ${OBJS}
 	${CC} -o ssmtp ${CFLAGS} ${OBJS}
+
+%.o: %.c
+	${CC} ${CFLAGS} -DSSMTPCONFDIR=\"${SSMTPCONFDIR}\" -DCONFIGURATION_FILE=\"${CONFIGURATION_FILE}\" -DREVALIASES_FILE=\"${REVALIASES_FILE}\" -c $<
