=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
#
SHELL=/bin/bash
CC = gcc

do_cfg:
	test -f Makefile || ./configure --prefix="/usr"

build:	do_cfg
	make

binary:	binary-arch binary-indep

binary-arch:	checkroot configure build
	-rm -rf debian/tmp

	dpkg-shlibdeps ssmtp

	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	dpkg-gencontrol
	install -m 400 debian/conffiles debian/tmp/DEBIAN
	install -m 555 debian/preinst debian/tmp/DEBIAN
	install -m 555 debian/postinst debian/tmp/DEBIAN
	install -m 555 debian/postrm debian/tmp/DEBIAN
	install -m 555 debian/config debian/tmp/DEBIAN
	install -m 555 debian/templates debian/tmp/DEBIAN

	install -d -m 755 debian/tmp/usr/sbin
	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	install -d -m 755 debian/tmp/etc/ssmtp
	install -m 644 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	install -d -m 755 -o root -g root debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	install -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	install -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9v debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	install -d -m 755 -o root -g root debian/tmp/usr/share/doc/ssmtp
	install -m 644 README debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog
	install -m 644 OLD/CHANGELOG debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog,CHANGELOG_OLD}

	dpkg --build debian/tmp ..

binary-indep:

clean:	do_cfg
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}
	test -f Makefile && make distclean

checkroot:
	test root = "`whoami`"


.PHONY: build binary clean checkroot
