=== debian/control ===
Source: ssmtp
Section: mail
Priority: extra
Maintainer: Matt Ryan <mryan@debian.org>
Standards-Version: 3.1.1.1

Package: ssmtp
Architecture: any
Depends: ${shlibs:Depends}, debconf
Conflicts: mail-transport-agent
Provides: mail-transport-agent
Replaces: mail-transport-agent
Description: Extremely simple MTA to get mail off the system to a mail hub
 A secure, effective and simple way of getting mail off a system to your
 mail hub. It contains no suid-binaries or other dangerous things - no mail
 spool to poke around in, and no daemons running in the background. Mail is
 simply forwarded to the configured mailhost. Extremely easy configuration.
 .
 WARNING: the above is all it does; it does not receive mail, expand aliases
 or manage a queue. That belongs on a mail hub with a system administrator.
