## ssmtp 2.60.3

=== debian/changelog ===
ssmtp (2.60.3) unstable; urgency=low

  * Check for overflow in gethostbyname() - thanks to Stephan Erickson
  * Fixes for SSL compilation from Tomas Nejedlik
  * TZ problem fix from Paul Eggert (Closes: #169931)
  * Unused variable bug fixed in previous version (Closes: #171146)
  * Fixed in earlier version (Closes: #168397)

 -- Matt Ryan <mryan@debian.org>  Sun,  8 Dec 2002 17:37:17 +0000

ssmtp (2.60.2) unstable; urgency=low

  * Header code fixes have not generated more bug reports (Closes: #161821)
  * Another crack at fixing cron related mail errors (Closes: #163747)
  * Use correct variable in from_format function (Closes: #166276)
  * Fix build problem on non-i386 platforms (Closes: #165007)
  * Never got around to closing this after answer given (Closes: #154908)

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.60.1) unstable; urgency=low

  * New version

 -- Matt Ryan <mryan@debian.org>  Fri, 27 Sep 2002 14:22:21 +0100

ssmtp (2.50.10) unstable; urgency=low

  * Added patch from Thatcher Ulrich to correctly terminate multi-line
    headers with \r\n
  * The code for undisclosed-recipients has been integrated for a number
    of release with no bugs reported (Closes: #136787)
  * No new reports of problems with the new From: rewrite code added over
    the last few point releases (Closes: #132424)
  * This appears to have been a debconf issue, but was never formally closed
    until now (Closes: #111951)

 -- Matt Ryan <mryan@debian.org>  Sat, 27 Jul 2002 13:52:36 +0100

ssmtp (2.50.9) unstable; urgency=low

  * Added patch from Cr33p to compile with SSL
  * Added fix from Mark Ferlatte for TZ offset (Closes: #148608)

 -- Matt Ryan <mryan@debian.org>  Mon,  3 Jun 2002 13:00:27 +0100

ssmtp (2.50.8) unstable; urgency=low

  * Better description of FromLineOverride in config file and some fixes
    to the code to better handle the From: override cases (Closes: #143903)
  * Added fix for MAIL FROM when supplied From: line is NULL (Closes: #145640)

 -- Matt Ryan <mryan@debian.org>  Tue,  7 May 2002 14:23:20 +0100

ssmtp (2.50.7) unstable; urgency=low

  * Workaround incorrect RewriteDomain settings

 -- Matt Ryan <mryan@debian.org>  Mon,  6 May 2002 21:06:55 +0100
