=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 CC = gcc
 
 do_cfg:
-	test -f Makefile || ./configure --prefix="/usr"
+	test -f Makefile || ./configure --exec-prefix="/usr" --prefix=""
 
 build:	do_cfg
 	make
