## ssmtp 2.60.4

=== debian/changelog ===
ssmtp (2.60.4) unstable; urgency=low

  * Fix 'MAIL FROM' problems with cron and the like setting bad 'From:'
    address when FromLineOverride=YES is set (Closes: #205513)
  * Update version string in ssmtp.c (Closes: #198763)
  * Work around missing spaces in headers (Closes: #192445)
  * Duplicate of 169931 (Closes: #183189)

 -- Matt Ryan <mryan@debian.org>  Sun, 17 Aug 2003 15:14:01 +0100
