## ssmtp 2.60.7

=== debian/changelog ===
ssmtp (2.60.7) unstable; urgency=high

  * Fixed two format string vulnerabilities (die() and log_event()) (Closes: #243945)
    discovered by Max Vozeler <max@hinterhof.net> (CAN-2004-0156)
  * Creates bad date headers on some systems (Closes: #230864)
    Changed README file to warn Cygwin porters that they may need to #define USE_OLD_ARPADATE

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Fri, 16 Apr 2004 08:01:40 +1000

ssmtp (2.60.6) unstable; urgency=low

  * Added "Build-Depends: po-debconf" (Closes: #243260)

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Mon, 12 Apr 2004 15:05:23 +1000

ssmtp (2.60.5) unstable; urgency=low

  * New Maintainer (Closes: #241775)
  * Shouldn't overwrite configuration by default (Closes: #233556)
  * Switched to gettext for the debconf templates (Closes: #201795)
    Patch by Michel Grentzinger <mic.grentz@online.fr>
  * Added french translation of the debconf templates (Closes: #202274)
    Patch by Michel Grentzinger <mic.grentz@online.fr>
    
 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 10 Apr 2004 09:41:51 +1000
