=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ssmtp
 Section: mail
 Priority: extra
-Maintainer: Matt Ryan <mryan@debian.org>
-Standards-Version: 3.1.1.1
+Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
+Build-Depends: po-debconf
+Standards-Version: 3.6.1
 
 Package: ssmtp
 Architecture: any
@@ -10,7 +11,7 @@
 Conflicts: mail-transport-agent
 Provides: mail-transport-agent
 Replaces: mail-transport-agent
-Description: Extremely simple MTA to get mail off the system to a mail hub
+Description: extremely simple MTA to get mail off the system to a mail hub
  A secure, effective and simple way of getting mail off a system to your
  mail hub. It contains no suid-binaries or other dangerous things - no mail
  spool to poke around in, and no daemons running in the background. Mail is
