=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,13 @@
 	dpkg-shlibdeps ssmtp
 
 	install -d -m 755 -o root -g root debian/tmp/DEBIAN
-	dpkg-gencontrol
-	install -m 400 debian/conffiles debian/tmp/DEBIAN
-	install -m 555 debian/preinst debian/tmp/DEBIAN
-	install -m 555 debian/postinst debian/tmp/DEBIAN
-	install -m 555 debian/postrm debian/tmp/DEBIAN
-	install -m 555 debian/config debian/tmp/DEBIAN
-	install -m 555 debian/templates debian/tmp/DEBIAN
+	dpkg-gencontrol -isp
+	po2debconf --podir=debian/po debian/templates > debian/tmp/DEBIAN/templates
+	install -m 644 debian/conffiles debian/tmp/DEBIAN
+	install -m 755 debian/preinst debian/tmp/DEBIAN
+	install -m 755 debian/postinst debian/tmp/DEBIAN
+	install -m 755 debian/postrm debian/tmp/DEBIAN
+	install -m 755 debian/config debian/tmp/DEBIAN
 
 	install -d -m 755 debian/tmp/usr/sbin
 	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
@@ -51,7 +51,7 @@
 	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
 	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
 	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog
-	install -m 644 OLD/CHANGELOG debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
+	install -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/CHANGELOG_OLD
 	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog,CHANGELOG_OLD}
 
 	dpkg --build debian/tmp ..
