## ssmtp 2.60.9

=== debian/changelog ===
ssmtp (2.60.9) unstable; urgency=low

  * Can not execute generate_config (Closes: #246225)
    Changed generate_config permissions.
  * Following INSTALL docs does build sSMTP on a Fedora Core 1 system (Closes: #246226)
    Changed INSTALL file. Patch by Sven Heinicke <sven@nec-labs.com>
  * ssmtp-2.60.4 does not compile if --enable-md5suth is set (Closes: #213194)
    Patch by Brandy Westcott <brandy@gentoo.org>
  * SSMTP builds with MD5 support but during the exchange it segfaults (Closes: #249203)
    Patch by Paul Davis <pdd@lucent.com>
  * Build system ignores CC environment (Closes: #198764)
    Patch by Moritz Barsnick <moritz+deb@barsnick.net>
  * Possible better config-file-generator (Closes: #245870)
    Included in the source root directory as generate_config_alt so people could try it.
    Patch by Jari Aalto and submitted by Robert R Schneck-McConnell <schneck@Math.Berkeley.EDU>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sun, 16 May 2004 12:50:54 +1000

ssmtp (2.60.8) unstable; urgency=low

  * Added CFLAGS to debian/rules
  * Documentation error - 4K limitation or not? (Closes: #220542)
    Updated debian/README.debian
  * SSL support not compiled in (Closes: #244660)
    Changed debian/rules. Patch by jacob@internet24.de
  * The source compilaton fails if ./configure --enable-logfile is selected (Closes: #242905)
    Changed ssmtp.c. Patch by Jari Aalto.
  * SSL/TLS support cannot handle STARTTLS (Closes: #244666)
    Changed ssmtp.c and TLS. Patch by jacob@internet24.de
  * generate_config has syntax errors (Closes: #245083)
    Changed generate_config. Patch by Sven Heinicke <sven@nec-labs.com>

 -- Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>  Sat, 24 Apr 2004 14:29:58 +1000
