=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
-Build-Depends: po-debconf
+Build-Depends: po-debconf, libssl-dev
 Standards-Version: 3.6.1
 
 Package: ssmtp
