=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 #
 SHELL=/bin/bash
 CC = gcc
+CFLAGS = -O2 -g -Wall
 
 do_cfg:
-	test -f Makefile || ./configure --exec-prefix="/usr" --prefix=""
+	test -f Makefile || ./configure --exec-prefix="/usr" --prefix="" --enable-ssl --with-cflags="$(CFLAGS)"
 
 build:	do_cfg
 	make
