## ssmtp 2.64

=== debian/changelog ===
ssmtp (2.64-8) unstable; urgency=medium

  * Fix "Partial loss of message body, sending message to wrong recipicients".
    Reported by Christoph Biedl <debian.axhn@manchmal.in-ulm.de>.
    Patch by "Daniel Richard G." <skunk@iSKUNK.ORG>.
    Add ssmtp-bug584162-fix.patch.
    Closes: #584162.
  * Refresh patches.
  * Standards-Version: 3.9.5.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 15 Jul 2014 01:49:18 +0100

ssmtp (2.64-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on libgnutls-openssl-dev instead of libgnutls-dev to allow
    transitioning to newer GnuTLS. Closes: #731605
  * Fix building with umask != 0022 with
    "chmod 644 debian/tmp/DEBIAN/templates"

 -- Andreas Metzler <ametzler@debian.org>  Fri, 11 Apr 2014 19:40:24 +0200

ssmtp (2.64-7) unstable; urgency=low

  * Use hardening options
    Add 05-LDFLAGS.patch
  * Standards version: 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jun 2012 08:41:49 +1000

ssmtp (2.64-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from David Mearns to fix addition of garbage at end of
    attachments (closes: Bug#508759)

 -- Ivan Kohler <ivan-debian@420.am>  Sun, 24 Jun 2012 17:02:16 -0700

ssmtp (2.64-6) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #654753
    - Danish (Joe Hansen).  Closes: #654923
    - Slovak (Ivan Masár).  Closes: #656529

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 Jan 2012 11:55:13 +1100

ssmtp (2.64-5) unstable; urgency=low

  [ Iain Lane ]
  * Link against libgnutls-openssl; fixes FTBFS against multiarch enabled
    gnutls (Closes: #636143)

  [ Anibal Monsalve Salazar ]
  * Fix unneeded-build-dep-on-quilt
  * Fix debian-rules-missing-recommended-target
  * Standards-Version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 11 Aug 2011 21:23:43 +1000

ssmtp (2.64-4) unstable; urgency=low

  * Set back permissions as before 2.64-1 
    Closes: 570971, 572154, 559900, 557948, 560397
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall). Closes: 569003, 569654
    - Brazilian Portuguese (Jef Lui). Closes: 576535

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Apr 2010 16:17:50 +1000

ssmtp (2.64-3) unstable; urgency=low

  * Change ssmtp permissions
    Patch by Jörg Sommer
    Closes: 567906

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 17:34:17 +1100

ssmtp (2.64-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
    - Japanese (Hideki Yamane(Debian-JP)).  Closes: #557773
    - Galician (Marce Villarino).  Closes: #557862
    - Swedish (Martin Ågren).  Closes: #558142
    - Italian (Luca Monducci).  Closes: #558367
    - Czech (Miroslav Kure).  Closes: #558415
    - German (Erik Schanze).  Closes: #559081
    - Spanish (Francisco Javier Cuadrado).  Closes: #559416
    - Portuguese (Ricardo Silva).  Closes: #559494
    - Russian (Yuri Kozlov).  Closes: #559528
    - French (Michel Grentzinger).  Closes: #559579
    - Finnish (Esko Arajärvi).  Closes: #564490

  [ Anibal Monsalve Salazar ]
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Feb 2010 16:53:37 +1100

ssmtp (2.64-1) unstable; urgency=low

  * New upstream version
    Delete 02-397149-amd64-crammd5.patch (merged)
  * Source package format is 3.0 (quilt)
  * Fix out-of-date-standards-version
  * Fix malformed-prompt-in-templates
  * Fix no-homepage-field
  * Add 02-557725-solaris.patch by Darik Horn to make ssmtp compatible
    with Solaris 11. Closes: 557725
  * Add 03-557741-remote-addr.patch by Victor Sudakov to insert the X-
    Originating-IP header. Closes: 557741
  * Make AuthUser/AuthPass not visible to all users. Closes: 500454

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 14:21:52 +1100

ssmtp (2.63-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * allow cram-md5 authentication to work on 64bit systems, by applying patch
    provided by Ingo Rohloff in the bug report (closes: 397149)

 -- Philip Hands <phil@hands.com>  Sun, 27 Sep 2009 09:48:41 +0100

ssmtp (2.63-1) unstable; urgency=low

  * New upstream version
  * Updated debian/copyright
  * Update 01-374327-use-gnutls.patch
  * Fix out-of-date-standards-version
  * Update Vcs-Git and Vcs-Browser in debian/control
  * Fix maintainer-script-without-set-e
  * Fix copyright-refers-to-symlink-license
  * Failover to multiple mailhubs in IPv4. Closes: 351993

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Jul 2009 14:18:13 +1000

ssmtp (2.62-3ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 04 May 2009 15:19:53 -0500

ssmtp (2.62-3) unstable; urgency=medium

  * Fix pending l10n issues. Debconf translations:
    - Vietnamese. Closes: #513670

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 31 Jan 2009 20:06:28 +1100

ssmtp (2.62-2.2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added 01_password-handling patch, enabling the use
      of ":" for smtp authentications.
  * Dropped debian/patches/03_fix_buffer_overflow: debian provides a fix

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Thu, 18 Dec 2008 02:25:45 -0500

ssmtp (2.62-2.2) unstable; urgency=medium

  * NMU.
  * Make sure that a CRLF is output even when the message from stdin
    doesn't have one. Closes: #506188

 -- Kari Pahula <kaol@debian.org>  Fri, 21 Nov 2008 10:09:02 +0200

ssmtp (2.62-2.1) unstable; urgency=low

  * NMU.
  * Only double leading dots at line start and don't overexpand buffer in
    standardise().  Don't add extra "\r\n" endings in between lines over
    BUF_SZ bytes long. Closes: #345780


