=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: ssmtp
 Section: mail
 Priority: extra
-Maintainer: Anibal Monsalve Salazar <A.Monsalve.Salazar@IEEE.org>
-Build-Depends: po-debconf, libssl-dev
-Standards-Version: 3.6.1
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), po-debconf, libgnutls-openssl-dev
+Standards-Version: 3.9.5
+Vcs-Git: git://git.debian.org/ssmtp/ssmtp.git
+Vcs-Browser: http://git.debian.org/?p=ssmtp/ssmtp.git
+Homepage: http://packages.qa.debian.org/s/ssmtp.html
 
 Package: ssmtp
 Architecture: any
-Depends: ${shlibs:Depends}, debconf
+Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
 Conflicts: mail-transport-agent
 Provides: mail-transport-agent
 Replaces: mail-transport-agent
