=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>
#

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

SHELL=/bin/bash
CC=gcc
CFLAGS+=-O2 -g -Wall

do_cfg:
	test -f Makefile || ./configure --exec-prefix="/usr" --prefix="" --enable-ssl --enable-inet6 --enable-md5auth --with-cflags="$(CFLAGS)"

build-arch: build
build-indep: build
build:	do_cfg
	make

binary:	binary-arch binary-indep

binary-arch:	checkroot configure build
	-rm -rf debian/tmp

	dpkg-shlibdeps ssmtp

	install -d -m 755 -o root -g root debian/tmp/DEBIAN
	dpkg-gencontrol -isp
	po2debconf --podir=debian/po debian/templates > debian/tmp/DEBIAN/templates
	chmod 644 debian/tmp/DEBIAN/templates
	install -m 644 debian/conffiles debian/tmp/DEBIAN
	install -m 755 debian/preinst debian/tmp/DEBIAN
	install -m 755 debian/postinst debian/tmp/DEBIAN
	install -m 755 debian/postrm debian/tmp/DEBIAN
	install -m 755 debian/config debian/tmp/DEBIAN

	install -d -m 755 debian/tmp/usr/sbin
	install -s -m 755 ssmtp debian/tmp/usr/sbin/ssmtp
	install -d -m 755 debian/tmp/usr/share/man/man8
	install -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	install -d -m 755 debian/tmp/usr/share/man/man5
	install -m 644 ssmtp.conf.5 debian/tmp/usr/share/man/man5/ssmtp.conf.5
	install -d -m 755 debian/tmp/etc/ssmtp
	install -m 644 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	install -d -m 755 -o root -g root debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	install -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	install -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9v debian/tmp/usr/share/man/man5/*
	gzip -9v debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	install -d -m 755 -o root -g root debian/tmp/usr/share/doc/ssmtp
	install -m 644 TLS debian/tmp/usr/share/doc/ssmtp
	install -m 644 README debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/README.debian debian/tmp/usr/share/doc/ssmtp/README.Debian
	install -m 644 debian/copyright debian/tmp/usr/share/doc/ssmtp
	install -m 644 debian/changelog debian/tmp/usr/share/doc/ssmtp/changelog.Debian
	install -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/changelog
	install -m 644 debian/AddHeader debian/tmp/usr/share/doc/ssmtp/AddHeader
	gzip -9 debian/tmp/usr/share/doc/ssmtp/{changelog.Debian,changelog}

	install -d -m 755 debian/tmp/etc/logcheck/ignore.d.server
	install -m 640 debian/logcheck.server \
		debian/tmp/etc/logcheck/ignore.d.server/ssmtp
	
	install -d -m 755 debian/tmp/usr/share/lintian/overrides/
	install -m 644 debian/ssmtp.lintian debian/tmp/usr/share/lintian/overrides/ssmtp

	dpkg --build debian/tmp ..

binary-indep:

clean:
	test \! -f Makefile || make distclean
	-rm -rf debian/tmp
	-rm -f debian/{files,substvars}

checkroot:
	test root = "`whoami`"

.PHONY: build binary clean checkroot
