## ssmtp 2.65

=== debian/changelog ===
ssmtp (2.65-1) unstable; urgency=medium

  * Adopt package (Closes: #925056)
  * Add new upstream (Closes: #1116237)
  * Build warning with -Wall (Closes: #346406)
  * Removed patches after merging to upstream.
  * Fix lintian warnings.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Wed, 24 Sep 2025 15:08:16 +0500

ssmtp (2.64-13) unstable; urgency=medium

  * QA upload
  * d/copyright: Convert to machine-readable format
  * Revert port from openssl to gnutls
  * GCC 15 fix (Closes: #1097931)
  * Rename badly named patch
  * lintian: Drop non-matching override
  * Prevent overriding Debian CFLAGS

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Bastian Germann <bage@debian.org>  Thu, 11 Sep 2025 16:32:20 +0200

ssmtp (2.64-12) unstable; urgency=medium

  * copyright: do not claim package is maintained
  * Patch incorrect pointer usage (Closes: #1075538)
  * Use dh sequencer to get dh_autoreconf
  * Remove obsolete upgrade code moving conffiles

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 06 Oct 2024 15:08:16 +0200

ssmtp (2.64-11) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:31:50 +0100

ssmtp (2.64-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.61-6, 2.61-1, 2.60.12,
    2.60.11, 2.60.9, 2.60.8, 2.60.7.
  * Drop custom source compression.
  * Change priority extra to priority optional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 03 Feb 2021 12:30:25 +0000

ssmtp (2.64-9) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible.
    Thanks to Chris Lamb (Closes: #777398)
  * Fix permissions and ownership of config file.
    Thanks to Simon Deziel (Closes: #661954)
  * Update Vcs-* URLs to current location
  * Use a page which follows policy §5.6.23 better
  * Add patch to keep From: header if FromLineOverride=NO.
    Thanks to Herbert Xu (Closes: #939298)
  * Fix cross building.
    Thanks to Helmut Grohne for the original patch (Closes: #861420)
  * Orphaned package: set QA Group as maintainer

 -- Ricardo Mones <mones@debian.org>  Wed, 29 Apr 2020 16:59:35 +0200

ssmtp (2.64-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix TLS 1.3 handshake (Closes: #932605, #933236)

 -- Ricardo Mones <mones@debian.org>  Tue, 13 Aug 2019 09:34:45 +0200
