=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ssmtp
 Section: mail
-Priority: extra
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), po-debconf, libgnutls-openssl-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/ssmtp/ssmtp.git
-Vcs-Browser: http://git.debian.org/?p=ssmtp/ssmtp.git
-Homepage: http://packages.qa.debian.org/s/ssmtp.html
+Priority: optional
+Maintainer: Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>
+Build-Depends: po-debconf, libssl-dev, debhelper-compat (= 13), dh-sequence-zz-debputy-rrr (>= 0.1.23~)
+Standards-Version: 4.7.2
+Vcs-Git: https://salsa.debian.org/debian/ssmtp.git
+Vcs-Browser: https://salsa.debian.org/debian/ssmtp
+Homepage: https://github.com/Project-OSS-Revival/ssmtp
+Rules-Requires-Root: no
 
 Package: ssmtp
 Architecture: any
