=== debian/rules ===
#!/usr/bin/make -f
#
# Rules for making sSMTP - Matt Ryan
# Copyright (C) 2004-2005 Anibal Monsalve Salazar <anibal@debian.org>
#

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

SHELL=/bin/bash
export CC=$(DEB_HOST_GNU_TYPE)-gcc
INSTALL=install '--strip-program=$(DEB_HOST_GNU_TYPE)-strip'

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --exec-prefix="/usr" --prefix="" --enable-ssl --enable-inet6 --enable-md5auth --with-cflags="$(CFLAGS)"

override_dh_auto_install:
	$(INSTALL) -d -m 755 debian/tmp/usr/sbin
	$(INSTALL) -s -m 2755 ssmtp debian/tmp/usr/sbin/ssmtp
	$(INSTALL) -d -m 755 debian/tmp/usr/share/man/man8
	$(INSTALL) -m 644 ssmtp.8 debian/tmp/usr/share/man/man8/ssmtp.8
	$(INSTALL) -d -m 755 debian/tmp/usr/share/man/man5
	$(INSTALL) -m 644 ssmtp.conf.5 debian/tmp/usr/share/man/man5/ssmtp.conf.5
	$(INSTALL) -d -m 750 debian/tmp/etc/ssmtp
	$(INSTALL) -m 640 revaliases debian/tmp/etc/ssmtp/revaliases

	-cd debian/tmp/usr/sbin && ln -sf ssmtp sendmail
	$(INSTALL) -d -m 755 debian/tmp/usr/lib
	-cd debian/tmp/usr/lib && ln -sf ../sbin/sendmail .

	-cd debian/tmp/usr/sbin && ln -sf ssmtp newaliases
	$(INSTALL) -m 644 debian/newaliases.8 debian/tmp/usr/share/man/man8
	-cd debian/tmp/usr/sbin && ln -sf ssmtp mailq
	$(INSTALL) -m 644 debian/mailq.8 debian/tmp/usr/share/man/man8

	gzip -9nv debian/tmp/usr/share/man/man5/*
	gzip -9nv debian/tmp/usr/share/man/man8/*
	-cd debian/tmp/usr/share/man/man8 && ln -sf ssmtp.8.gz sendmail.8.gz

	$(INSTALL) -d -m 755 debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 TLS debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 README debian/tmp/usr/share/doc/ssmtp
	$(INSTALL) -m 644 CHANGELOG_OLD debian/tmp/usr/share/doc/ssmtp/changelog
	$(INSTALL) -m 644 debian/AddHeader debian/tmp/usr/share/doc/ssmtp/AddHeader

	$(INSTALL) -d -m 755 debian/tmp/etc/logcheck/ignore.d.server
	$(INSTALL) -m 640 debian/logcheck.server \
		debian/tmp/etc/logcheck/ignore.d.server/ssmtp
