=== debian/watch ===
version=4

    https://github.com/Project-OSS-Revival/ssmtp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
